## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor
Class RoutineFormDocumentProviderAdapter

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.RoutineFormDocumentProviderAdapter

All Implemented Interfaces:
  IRoutineEditorDocumentProvider, org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension2, org.eclipse.ui.texteditor.IDocumentProviderExtension3

    public class RoutineFormDocumentProviderAdapter

extends java.lang.Object
implements IRoutineEditorDocumentProvider

Provides a default empty implementation of IRoutineEditorDocumentProvider to be used inside a FormEditor

Author:
  Hui Cao

Constructor Summary
`RoutineFormDocumentProviderAdapter()`

Method Summary
`void` `aboutToChange(java.lang.Object element)`
`void` `addElementStateListener(org.eclipse.ui.texteditor.IElementStateListener listener)`
`boolean` `canSaveDocument(java.lang.Object element)`
`void` `changed(java.lang.Object element)`
`void` `connect(java.lang.Object element)`
`void` `disconnect(java.lang.Object element)`
`org.eclipse.jface.text.source.IAnnotationModel` `getAnnotationModel(java.lang.Object element)`
`org.eclipse.jface.text.IDocument` `getDocument(java.lang.Object element)`
`long` `getModificationStamp(java.lang.Object element)`
`org.eclipse.core.runtime.IProgressMonitor` `getProgressMonitor()`
`long` `getSynchronizationStamp(java.lang.Object element)`
`boolean` `isDeleted(java.lang.Object element)`
`boolean` `isSynchronized(java.lang.Object element)`
`boolean` `mustSaveDocument(java.lang.Object element)`
`void` `refreshFromDatabase(java.lang.Object element, org.eclipse.datatools.sqltools.core.IControlConnection controlCon, org.eclipse.datatools.sqltools.core.ProcIdentifier proc)` Refreshs the routine object from database.
`void` `removeElementStateListener(org.eclipse.ui.texteditor.IElementStateListener listener)`
`void` `resetDocument(java.lang.Object element)`
`void` `saveDocument(org.eclipse.core.runtime.IProgressMonitor monitor, java.lang.Object element, org.eclipse.jface.text.IDocument document, boolean overwrite)`
`void` `setProgressMonitor(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineFormDocumentProviderAdapter

    public RoutineFormDocumentProviderAdapter()

Method Detail

### refreshFromDatabase

    public void refreshFromDatabase(java.lang.Object element,
                                    org.eclipse.datatools.sqltools.core.IControlConnection controlCon,
                                    org.eclipse.datatools.sqltools.core.ProcIdentifier proc)
                             throws org.eclipse.core.runtime.CoreException,
                                    java.sql.SQLException

  Description copied from interface: `IRoutineEditorDocumentProvider`
  Refreshs the routine object from database.

  Specified by:
    `refreshFromDatabase` in interface `IRoutineEditorDocumentProvider`
  Parameters:
    `element` - the routine object
    `controlCon` - control connection that's used by the routine editor
    `proc` - the routine identifier
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.sql.SQLException`

### aboutToChange

    public void aboutToChange(java.lang.Object element)

  Specified by:
    `aboutToChange` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### addElementStateListener

    public void addElementStateListener(org.eclipse.ui.texteditor.IElementStateListener listener)

  Specified by:
    `addElementStateListener` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### canSaveDocument

    public boolean canSaveDocument(java.lang.Object element)

  Specified by:
    `canSaveDocument` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### changed

    public void changed(java.lang.Object element)

  Specified by:
    `changed` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### connect

    public void connect(java.lang.Object element)
                 throws org.eclipse.core.runtime.CoreException

  Specified by:
    `connect` in interface `org.eclipse.ui.texteditor.IDocumentProvider`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### disconnect

    public void disconnect(java.lang.Object element)

  Specified by:
    `disconnect` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### getAnnotationModel

    public org.eclipse.jface.text.source.IAnnotationModel getAnnotationModel(java.lang.Object element)

  Specified by:
    `getAnnotationModel` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### getDocument

    public org.eclipse.jface.text.IDocument getDocument(java.lang.Object element)

  Specified by:
    `getDocument` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### getModificationStamp

    public long getModificationStamp(java.lang.Object element)

  Specified by:
    `getModificationStamp` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### getSynchronizationStamp

    public long getSynchronizationStamp(java.lang.Object element)

  Specified by:
    `getSynchronizationStamp` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### isDeleted

    public boolean isDeleted(java.lang.Object element)

  Specified by:
    `isDeleted` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### mustSaveDocument

    public boolean mustSaveDocument(java.lang.Object element)

  Specified by:
    `mustSaveDocument` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### removeElementStateListener

    public void removeElementStateListener(org.eclipse.ui.texteditor.IElementStateListener listener)

  Specified by:
    `removeElementStateListener` in interface `org.eclipse.ui.texteditor.IDocumentProvider`

### resetDocument

    public void resetDocument(java.lang.Object element)
                       throws org.eclipse.core.runtime.CoreException

  Specified by:
    `resetDocument` in interface `org.eclipse.ui.texteditor.IDocumentProvider`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### saveDocument

    public void saveDocument(org.eclipse.core.runtime.IProgressMonitor monitor,
                             java.lang.Object element,
                             org.eclipse.jface.text.IDocument document,
                             boolean overwrite)
                      throws org.eclipse.core.runtime.CoreException

  Specified by:
    `saveDocument` in interface `org.eclipse.ui.texteditor.IDocumentProvider`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getProgressMonitor

    public org.eclipse.core.runtime.IProgressMonitor getProgressMonitor()

  Specified by:
    `getProgressMonitor` in interface `org.eclipse.ui.texteditor.IDocumentProviderExtension2`

### setProgressMonitor

    public void setProgressMonitor(org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Specified by:
    `setProgressMonitor` in interface `org.eclipse.ui.texteditor.IDocumentProviderExtension2`

### isSynchronized

    public boolean isSynchronized(java.lang.Object element)

  Specified by:
    `isSynchronized` in interface `org.eclipse.ui.texteditor.IDocumentProviderExtension3`